## fuss-client 12.0.68

=== debian/changelog ===
fuss-client (12.0.68) unstable; urgency=medium

  * Increasing NFS buffers size to improve performances

 -- Simone Piccardi <piccardi@truelite.it>  Tue, 23 Dec 2025 14:13:19 +0100

fuss-client (12.0.67) unstable; urgency=medium

  * Added rsyslog role to send auth log from client to the server

 -- Simone Piccardi <piccardi@truelite.it>  Tue, 25 Nov 2025 18:31:04 +0100

fuss-client (12.0.66+nmu1) unstable; urgency=medium

  [ Claudio Cavalli ]
  * Removed Demo function from Veyon.

  [ Elena Grandi ]
  * Install package-update-indicator.

 -- Simone Piccardi <piccardi@truelite.it>  Wed, 19 Nov 2025 11:08:18 +0100

fuss-client (12.0.66) unstable; urgency=medium

  * typo

 -- Elena Grandi <valhalla@debian.org>  Fri, 04 Jul 2025 14:05:14 +0200

fuss-client (12.0.65) unstable; urgency=medium

  * Use overrides instead of changing the files in /etc/systemd/
  * Make sure that fuss-archive-keyring is installed.

 -- Elena Grandi <valhalla@debian.org>  Fri, 27 Jun 2025 14:31:38 +0200

fuss-client (12.0.64) unstable; urgency=medium

  [ Elena Grandi ]
  * Install etckeeper to preserve configuration history.

  [ Claudio Cavalli ]
  * Configuration modified to allow UUs even on laptops powered only by battery and/or with metered wifi
  * 

 -- Claudio Cavalli <ccavalli@fuss.bz.it>  Tue, 03 Jun 2025 16:16:55 +0200

fuss-client (12.0.63) unstable; urgency=medium

  * Added --fuss-zone to the manpage
  * Configured ansible logging to /var/log/fuss-client.

 -- Elena Grandi <elena@truelite.it>  Mon, 26 May 2025 10:32:54 +0200

fuss-client (12.0.62) unstable; urgency=medium

  * Corrected typo 

 -- Claudio Cavalli <ccavalli@fuss.bz.it>  Wed, 30 Apr 2025 13:28:58 +0200

fuss-client (12.0.61) unstable; urgency=medium

  * Corrected typo

 -- Claudio Cavalli <ccavalli@fuss.bz.it>  Wed, 30 Apr 2025 13:14:27 +0200

fuss-client (12.0.60) unstable; urgency=medium

  * Added udev rule 99-pybricksdev.rules 

 -- Claudio Cavalli <ccavalli@fuss.bz.it>  Wed, 30 Apr 2025 12:39:08 +0200

fuss-client (12.0.59) unstable; urgency=medium

  [ Simone Piccardi ]
  * Remove mitogen, unuseful applied to localhost

 -- Elena Grandi <elena@truelite.it>  Thu, 24 Apr 2025 11:37:10 +0200

fuss-client (12.0.58) unstable; urgency=medium

  * Load the fuss-zone variables also in standalone.

 -- Elena Grandi <elena@truelite.it>  Mon, 14 Apr 2025 13:40:05 +0200

fuss-client (12.0.57) unstable; urgency=medium

  * Fix choosing when the glpi role should be loaded.
  * Update glpi url to https://inventory.fuss.bz.it/marketplace/glpiinventory/
  * Also install glpi-agent-task-deploy glpi-agent-task-collect with glpi.

 -- Elena Grandi <elena@truelite.it>  Mon, 14 Apr 2025 10:46:19 +0200

fuss-client (12.0.56) unstable; urgency=medium

  [ Claudio Cavalli ]
  * Re-enabled the restart and shutdown buttons from user session

  [ Elena Grandi ]
  * Add an option --fuss-zone to set the fuss zone when running
    fuss-client --standalone
  * New fuss-zone values: Mini-BZ and IC-IlariaAlpi-MI

 -- Elena Grandi <elena@truelite.it>  Fri, 11 Apr 2025 10:00:41 +0200

fuss-client (12.0.55) unstable; urgency=medium

  * Add pam_shells to common-auth to enforce block on disabled users

 -- Simone Piccardi <piccardi@truelite.it>  Wed, 26 Mar 2025 18:03:29 +0100

fuss-client (12.0.54) unstable; urgency=medium

  [ Claudio Cavalli ]
  * Add package fuss-proxy in standalone
  * Remove the fuss-proxy package on clients

  [ Paolo Dongilli ]
  * Corrected German translation

  [ Elena Grandi ]
  * Add udev configuration for micro:bit boards

 -- Elena Grandi <elena@truelite.it>  Mon, 24 Mar 2025 13:38:13 +0100

fuss-client (12.0.53) unstable; urgency=medium
  
  * Do not re-enable unattended upgrades when running under fuss-fucc on a
    wifi-connected computer.

  * Added --no-proxy option to wget in veyonStart to prevent failure in certain cases

 -- Claudio Cavalli <ccavalli@fuss.bz.it>  Thu, 05 Dec 2024 16:51:57 +0100

fuss-client (12.0.52) unstable; urgency=medium

  [Simone Piccardi]
  * Re-enable LDAP server certificate check using local CA

 -- Elena Grandi <elena@truelite.it>  Fri, 15 Nov 2024 13:58:58 +0100

fuss-client (12.0.51) unstable; urgency=medium

  * Aggiunto task per determinare il dominio in fase di installazione

  * Modificato dominio per testare ripristino riavvio/spegnimento in sessione utente

 -- Claudio Cavalli <ccavalli@fuss.bz.it>  Thu, 31 Oct 2024 19:17:28 +0100

fuss-client (12.0.50) unstable; urgency=medium

  [ Claudio Cavalli ]
  * Modified logout in fusslab.blz domain for testing

  [ Elena Grandi ]
  * Fuss zone should only be checked on non-standalone 

 -- Claudio Cavalli <ccavalli@fuss.bz.it>  Mon, 14 Oct 2024 13:48:52 +0200

fuss-client (12.0.49) unstable; urgency=medium

  [Claudio Cavalli]
  * Force the removal of openboard-common to install the new version of
    openboard.

 -- Elena Grandi <elena@truelite.it>  Tue, 01 Oct 2024 13:21:12 +0200

fuss-client (12.0.48) unstable; urgency=medium

  * Re-enable unattended upgrades in an handler even if some other task fails.
  * Also configure the proxy for glpi-agent

 -- Elena Grandi <elena@truelite.it>  Fri, 20 Sep 2024 10:14:24 +0200

fuss-client (12.0.47) unstable; urgency=medium

  * Modified session-cleanup-script x permissions 

 -- Claudio Cavalli <ccavalli@fuss.bz.it>  Fri, 06 Sep 2024 10:02:59 +0200

fuss-client (12.0.46) unstable; urgency=medium

  * replace ansible compatibility service module with systemd module

 -- Simone Piccardi <piccardi@truelite.it>  Tue, 03 Sep 2024 14:13:07 +0200

fuss-client (12.0.45) unstable; urgency=medium

  * Remove cleanup scripts for AccountsService (no longer in use).
  * Run dpkg --configure -a at every boot.

 -- Elena Grandi <elena@truelite.it>  Wed, 28 Aug 2024 14:15:33 +0200

fuss-client (12.0.44) unstable; urgency=medium

  * More fixes for the glpi-agent configuration

 -- Elena Grandi <elena@truelite.it>  Thu, 08 Aug 2024 13:15:11 +0200

fuss-client (12.0.43) unstable; urgency=medium



## fuss-client 12.0.69

=== debian/changelog ===
fuss-client (12.0.69) unstable; urgency=medium

  * Upgrade libreoffice to the version in backports.

 -- Elena Grandi <elena@truelite.it>  Thu, 08 Jan 2026 10:30:29 +0100

## fuss-client 13.0.22

=== ansible/roles/desktop/files/guest-session-auto.locale/Makefile ===
TARGETS = $(patsubst %.po,guest-session-auto.sh.%.mo,$(wildcard *.po))


.PHONY: all clean
all: $(TARGETS)

guest-session-auto.sh.%.mo: %.po
	msgfmt -o $@ $<

clean:
	rm *.mo

## fuss-client 12.0.70

=== debian/changelog ===
fuss-client (12.0.70) unstable; urgency=medium

  [ Simone Piccardi ]
  * Finalize new NFS mount options for /home

  [ Claudio Cavalli ]
  * Evince restored as default PDF viewer 

 -- Claudio Cavalli <ccavalli@fuss.bz.it>  Wed, 14 Jan 2026 15:18:41 +0100

=== debian/control ===
Source: fuss-client
Section: net
Priority: optional
Maintainer: FUSS team <packages@fuss.bz.it>
Build-Depends:
 debhelper-compat (= 13),
 python3-docutils,
Standards-Version: 4.6.0.1
Rules-Requires-Root: no

Package: fuss-client
Architecture: all
Depends:
 ${misc:Depends},
 python3,
 ansible,
 ansible-mitogen,
 beep,
 openssh-client,
 python3-apt,
 python3-octofuss,
 python3-pyudev,
 python3-requests,
 python3-passlib,
 uuid-runtime
Homepage: http://www.fuss.bz.it/
Description: Connect a workstation to a FUSS Server
 This package contains everything to connect a workstation running
 FUSS GNU/Linux (or similar) to a FUSS Server.
 Developed for the FUSS Project.

Package: fuss-client-dependencies
Architecture: all
Depends:
 ${misc:Depends},
 anacron,
 fuss-children,
 bash-completion,
 fuss-desktop,
 fuss-education,
 fuss-extra-multimedia,
 fuss-graphics,
 fuss-kids,
 fuss-language-support,
 fuss-multimedia,
 fuss-net,
 fuss-office,
 fuss-various,
 fuss-utility,
 gdebi,
 hdparm,
 krb5-user,
 krb5-config,
 ldap-utils,
 libpam-krb5,
 libpam-ldapd,
 libnss-ldapd,
 nfs-common,
 unscd,
 nslcd,
 openssl,
 octofuss-client,
 python3-tk,
 ssh,
 veyon-master
Description: Fuss Client Dependencies metapackage
 This metapackage depends on all packages that have to be installed on a client
 for a Fuss GNU/Linux Network.
 .
 Developed for the FUSS Project. See http://www.fuss.bz.it/

Package: fuss-manager-fuss-client
Architecture: all
Depends:
 ${misc:Depends},
 ansible-mitogen,
 fuss-manager,
 openssh-client,
Homepage: http://www.fuss.bz.it/
Description: Connect a workstation to a FUSS Server
 This package contains the ansible playbooks used by fuss-client, installed in
 a position where they can be used by fuss-manager.
 .
 Only the equivalent of fuss-client --upgrade is supported.
 .
 This package is experimental and may not work as expected: use at your own
 risk.
 .
 Developed for the FUSS Project.

## fuss-client 12.0.71

=== debian/changelog ===
fuss-client (12.0.71) unstable; urgency=medium

  [ Simone Piccardi ]
  * Correct logrotate configuration for fuss-client logs

  [ Elena Grandi ]
  * Automatically clean cache after running apt(-get).

 -- Elena Grandi <elena@truelite.it>  Tue, 10 Feb 2026 14:19:56 +0100

## fuss-client 13.0.22

=== debian/changelog ===
fuss-client (13.0.22) unstable; urgency=medium

  * Install package-update-indicator.
  * Add a new option, --cloud, for a client with no remote homes on the
    server.
  * Prevent zombie processes from interfering with fuss-client.
  * Delete homes at shutdown / reboot on --cloud machines.

 -- Elena Grandi <elena@truelite.it>  Thu, 23 Oct 2025 14:22:03 +0200

fuss-client (13.0.21) unstable; urgency=medium

  [ Claudio Cavalli ]
  * Solution to set the FUSS wallpaper as the default background

 -- Simone Piccardi <piccardi@truelite.it>  Tue, 16 Sep 2025 11:40:39 +0200

fuss-client (13.0.20) unstable; urgency=medium

  * Better handling of multiple run blocks

 -- Simone Piccardi <piccardi@truelite.it>  Fri, 29 Aug 2025 18:17:33 +0200

fuss-client (13.0.19) unstable; urgency=medium

  [ Elena Grandi ]
  * Also renamed the playbooks with the joined/standalone names.

  [ Simone Piccardi ]
  * Revision for NFS homes roles, use principal name

 -- Simone Piccardi <piccardi@truelite.it>  Fri, 29 Aug 2025 10:13:44 +0200

fuss-client (13.0.18) unstable; urgency=medium

  * debug release, pause before mounting homes

 -- Simone Piccardi <piccardi@truelite.it>  Thu, 28 Aug 2025 12:07:17 +0200

fuss-client (13.0.17) unstable; urgency=medium

  * Refactor the names of the roles for joined and standalone use.
  * Added missing dependency from the network_joined to the network roles.

 -- Elena Grandi <elena@truelite.it>  Wed, 27 Aug 2025 14:38:58 +0200

fuss-client (13.0.16) unstable; urgency=medium

  * Revision for NFS home mounting role

 -- Simone Piccardi <piccardi@truelite.it>  Wed, 27 Aug 2025 11:43:40 +0200

fuss-client (13.0.15) unstable; urgency=medium

  * Added missing dependency on python3-debian.
  * Create /var/log/fuss-client when installing the package.

 -- Elena Grandi <valhalla@debian.org>  Mon, 25 Aug 2025 11:55:03 +0200

fuss-client (13.0.14) unstable; urgency=medium

  [ Elena Grandi ]
  * Packaging cleanup.

  [ Claudio Cavalli ]
  * Reactivated veyon role using veyon-* packages from the distribution
  * Removed Veyon Demo button and activation application 

 -- Claudio Cavalli <ccavalli@fuss.bz.it>  Thu, 24 Jul 2025 10:18:07 +0200

fuss-client (13.0.13) unstable; urgency=medium

  [ Elena Grandi ]
  * Suppress warning about the autodetected python interpreter.
  * Configure the proxy for fwupd-refresh.service.
  * Remove anacron, as everything is now managed by systemd timers.

  [ Simone Piccardi ]
  * Remove anacron overrides for unattended upgrades, unused

  [ Claudio Cavalli ]
  * Allow unattended upgrades also under battery power, if there is enough
    charge.

 -- Elena Grandi <elena@truelite.it>  Wed, 09 Jul 2025 14:04:28 +0200

fuss-client (13.0.12) unstable; urgency=medium

  * fuss-client.service should not be started when enabling it.

 -- Elena Grandi <elena@truelite.it>  Thu, 03 Jul 2025 13:50:49 +0200

fuss-client (13.0.11) unstable; urgency=medium

  * Make sure that fuss-archive-keyring is installed.
  * Added missing Signed-By to the backport repo.
  * Re-enable the reboot and shutdown keys.
  * Add to the default uca.xml configuration instead of overwritting it.
  * Run fuss-client -U at boot and daily.

 -- Elena Grandi <elena@truelite.it>  Thu, 03 Jul 2025 13:33:20 +0200

fuss-client (13.0.10) unstable; urgency=medium

  * Update firmwares from backports also on non-unofficial.
  * Use the deb822 format for the backports repository.
  * bugfixes.

 -- Elena Grandi <elena@truelite.it>  Wed, 25 Jun 2025 10:26:53 +0200

fuss-client (13.0.9) unstable; urgency=medium

  * Look for an ed25519 key instead of rsa to access the server.
  * Install etckeeper to preserve configuration history.
  * Use overrides instead of changing the files in /etc/systemd/
  * Save backups for more system configuration files.
  * Cleanup of configuration file changes.
  * Only allow one instance of fuss-client running at the same time.
  * Use a systemd timer instead of a cron job to run fuss-client -U every
    hour.
  * Don't enable gssd and idmapd explicitely, as the autodetect just works.

 -- Elena Grandi <elena@truelite.it>  Mon, 09 Jun 2025 13:47:49 +0200

fuss-client (13.0.8) unstable; urgency=medium

  * Another fix for the new version of ansible.

 -- Elena Grandi <elena@truelite.it>  Tue, 27 May 2025 13:33:23 +0200

fuss-client (13.0.7) unstable; urgency=medium

  [ Simone Piccardi ]
  * Add pam_shells to common-auth to enforce block on disabled users

  [ Elena Grandi ]
  * Add an option --fuss-zone to set the fuss zone when running
    fuss-client --standalone
  * New fuss-zone values: Mini-BZ and IC-IlariaAlpi-MI
  * Update glpi url to https://inventory.fuss.bz.it/marketplace/glpiinventory/
  * Also install glpi-agent-task-deploy glpi-agent-task-collect with glpi.
  * Update ansible tests for the new version of ansible.
  * Configured ansible logging to /var/log/fuss-client.

 -- Elena Grandi <elena@truelite.it>  Mon, 26 May 2025 12:07:21 +0200

fuss-client (13.0.6) unstable; urgency=medium

  [ Claudio Cavalli ]
  * Add package fuss-proxy in standalone
  * Remove the fuss-proxy package on clients

  [ Paolo Dongilli ]
  * Corrected German translation

  [ Elena Grandi ]
  * Add udev configuration for micro:bit boards

 -- Elena Grandi <elena@truelite.it>  Mon, 24 Mar 2025 13:32:17 +0100

fuss-client (13.0.5) unstable; urgency=medium

  [Elena Grandi]
  * Removed ansible-mitogen as a dependency

  [Claudio Cavalli]
  * Do not re-enable unattended upgrades when running under fuss-fucc on a
    wifi-connected computer.
  * Fixed fuss-client script permissions in role desktop and desktop_standalone
  * Added option --no-proxy to wget in veyonStart
  * Temporarily disabled role veyon in connect.yml

 -- Claudio Cavalli <ccavalli@fuss.bz.it>  Tue, 10 Dec 2024 19:35:01 +0100

fuss-client (13.0.4) unstable; urgency=medium

  * Disabled mitogen in the connect playbook because of Debian's #1087929.

 -- Elena Grandi <elena@truelite.it>  Fri, 22 Nov 2024 10:54:57 +0100



=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  python3-docutils,
-Standards-Version: 4.6.0.1
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 
 Package: fuss-client
@@ -14,14 +14,15 @@
  ${misc:Depends},
  python3,
  ansible,
- ansible-mitogen,
  beep,
  openssh-client,
  python3-apt,
+ python3-debian,
  python3-octofuss,
  python3-pyudev,
  python3-requests,
  python3-passlib,
+ python3-psutil,
  uuid-runtime
 Homepage: http://www.fuss.bz.it/
 Description: Connect a workstation to a FUSS Server
@@ -62,7 +63,8 @@
  octofuss-client,
  python3-tk,
  ssh,
- veyon-master
+ veyon-master,
+ yad
 Description: Fuss Client Dependencies metapackage
  This metapackage depends on all packages that have to be installed on a client
  for a Fuss GNU/Linux Network.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh  $@

override_dh_auto_build:
	dh_auto_build
	rst2man fuss-client.8.rst > fuss-client.8

## fuss-client 13.0.24

=== debian/changelog ===
fuss-client (13.0.24) unstable; urgency=medium

  * Change to prevent script failure.

 -- Claudio Cavalli <ccavalli@fuss.bz.it>  Wed, 05 Nov 2025 18:15:27 +0100

fuss-client (13.0.23) unstable; urgency=medium

  * Check if a client with the same hostname already exists
  * Pass other variables to add_client_principal

 -- Claudio Cavalli <ccavalli@fuss.bz.it>  Wed, 05 Nov 2025 11:09:27 +0100

## fuss-client 13.0.25

=== debian/changelog ===
fuss-client (13.0.25) unstable; urgency=medium

  * Revert some changes that need to be rewritten.

 -- Elena Grandi <elena@truelite.it>  Fri, 14 Nov 2025 11:45:33 +0100

## fuss-client 13.0.28

=== debian/changelog ===
fuss-client (13.0.28) unstable; urgency=medium

  * Removed role veyon from cloud.yml

 -- Claudio Cavalli <ccavalli@fuss.bz.it>  Thu, 08 Jan 2026 14:30:50 +0100

fuss-client (13.0.27) unstable; urgency=medium

  [ Elena Grandi ]
  * No longer use the --standalone option in the fuss-client unit
    as it is autodetected by -U.

  [ Simone Piccardi ]
  * Use the right system wide configuration directory for firefox
  * Install fuss-server CA on the system for general use

 -- Simone Piccardi <piccardi@truelite.it>  Wed, 03 Dec 2025 17:08:55 +0100

fuss-client (13.0.26) unstable; urgency=medium

  * Install rsyslog to send auth log from client to the server
  * Adding a policy for firefox to use CA certificates

 -- Simone Piccardi <piccardi@truelite.it>  Mon, 24 Nov 2025 15:19:22 +0100

## fuss-client 13.0.29

=== debian/changelog ===
fuss-client (13.0.29) unstable; urgency=medium

  [ Simone Piccardi ]
  * Better defaults for NFS /home mount unit

  [ Elena Grandi ]
  * Update manpage (--cloud)

  [ Claudio Cavalli ]
  * Modified default PDF viewer to evince 
  * Readded and modified role veyon 

 -- Claudio Cavalli <ccavalli@fuss.bz.it>  Wed, 14 Jan 2026 17:21:18 +0100

## fuss-client 13.0.30

=== debian/changelog ===
fuss-client (13.0.30) unstable; urgency=medium

  * Role veyon restored in fuss 13 and removed from cloud 

 -- Claudio Cavalli <ccavalli@fuss.bz.it>  Thu, 15 Jan 2026 16:20:30 +0100

## fuss-client 13.0.31

=== debian/changelog ===
fuss-client (13.0.31) unstable; urgency=medium

  * Adding local GLPI server to GLPI agent destinations
  * Corrections to some logrotate broken configs

 -- Simone Piccardi <piccardi@truelite.it>  Thu, 29 Jan 2026 10:19:36 +0100

## fuss-client 13.0.32

=== debian/changelog ===
fuss-client (13.0.32) unstable; urgency=medium

  [ Elena Grandi ]
  * Automatically clean cache after running apt(-get).
  * Autostart xscreensaver (used to be done by xfce4-session, but is no longer
    in trixie).
  * Use /etc/environment.d/ instead of changing /etc/environment.

  [ Simone Piccardi ]
  * Correct default for /etc/xdg/Thunar/uca.xml

 -- Elena Grandi <elena@truelite.it>  Tue, 10 Feb 2026 14:27:55 +0100
